#include <bits/stdc++.h>
using namespace std;

int tschokolade_po_grupu(int n)
{
    int p = 0;
    if (n % 2) p = n / 2 + 1;
    return (p + (n / 2) * (n + 1));
}

// n - utschenici; m - bananice; k - grupe;
bool ekskurzija(int n, int m, int k)
{
    if (k > n) return false;
    int jg = n % k; int sg = k - jg;

    /*
    cout << "ima " << sg << " grupe s " << (n / k) << " dyaka,\n";
    cout << "a " << jg << " grupe sas " << (n / k + 1) << " dyaka.\n";
    */

    int brb = sg * tschokolade_po_grupu(n / k) + jg * tschokolade_po_grupu(n / k + 1);
    if (brb > m) return false;
    return true;
}

int main()
{
    int t; cin >> t;

    for (int i = 0; i < t; i++) {
        int n, m, k; cin >> n >> m >> k;
        if (ekskurzija(n, m, k)) cout << "Tak\n";
        else cout << "Nie\n";
    }
}